Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.security
Class RoleBasedAuthorizationInterceptor

    java.lang.Object
      org.jboss.aspects.security.RoleBasedAuthorizationInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

public class RoleBasedAuthorizationInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor

The RoleBasedAuthorizationInterceptor checks that the caller principal is authorized to call a method by verifing that it contains at least one of the required roled.

Version:
  $Revision: 1.4.2.8 $
Author:
  Bill Burke, Oleg Nitz, Scott Stark., Dain Sundstrom.

Field Summary
`protected org.jboss.logging.Logger` | `log`
`protected org.jboss.security.RealmMapping` | `realmMapping`
`protected org.jboss.security.AuthenticationManager` | `securityManager`

Constructor Summary
`RoleBasedAuthorizationInterceptor(org.jboss.security.AuthenticationManager manager, org.jboss.security.RealmMapping realmMapping)`

Method Summary
`protected Set` | `getAnnotationRoleSet(org.jboss.aop.joinpoint.Invocation invocation)`
`String` | `getName()`
`protected Set` | `getRoleSet(org.jboss.aop.joinpoint.Invocation invocation)`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)` Check if the principal is authorized to call the method by verifying that the it containes at least one of the required roles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

### securityManager

    protected org.jboss.security.AuthenticationManager securityManager

### realmMapping

    protected org.jboss.security.RealmMapping realmMapping

Constructor Detail

### RoleBasedAuthorizationInterceptor

    public RoleBasedAuthorizationInterceptor(org.jboss.security.AuthenticationManager manager,
                                             org.jboss.security.RealmMapping realmMapping)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### getRoleSet

    protected Set getRoleSet(org.jboss.aop.joinpoint.Invocation invocation)

### getAnnotationRoleSet

    protected Set getAnnotationRoleSet(org.jboss.aop.joinpoint.Invocation invocation)

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Check if the principal is authorized to call the method by verifying that the it containes at least one of the required roles.

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.